import { z } from 'zod';
declare type GlobResult = Record<string, () => Promise<any>>;
declare type CollectionToEntryMap = Record<string, GlobResult>;
declare type CollectionsConfig = Record<string, {
    schema: z.ZodRawShape;
}>;
export declare function createCollectionToGlobResultMap({ globResult, contentDir, }: {
    globResult: GlobResult;
    contentDir: string;
}): CollectionToEntryMap;
export declare function parseEntryData(collection: string, entry: {
    id: string;
    data: any;
    _internal: {
        rawData: string;
        filePath: string;
    };
}, collectionsConfig: CollectionsConfig): Promise<{
    [x: string]: any;
}>;
export declare const getErrorMsg: {
    schemaFileMissing: (collection: string) => string;
    schemaDefMissing: (collection: string) => string;
};
export declare function createGetCollection({ collectionToEntryMap, getCollectionsConfig, }: {
    collectionToEntryMap: CollectionToEntryMap;
    getCollectionsConfig: () => Promise<CollectionsConfig>;
}): (collection: string, filter?: () => boolean) => Promise<{
    id: any;
    slug: any;
    body: any;
    collection: any;
    data: {
        [x: string]: any;
    };
}[]>;
export declare function createGetEntry({ collectionToEntryMap, getCollectionsConfig, }: {
    collectionToEntryMap: CollectionToEntryMap;
    getCollectionsConfig: () => Promise<CollectionsConfig>;
}): (collection: string, entryId: string) => Promise<{
    id: any;
    slug: any;
    body: any;
    collection: any;
    data: {
        [x: string]: any;
    };
}>;
export declare function createCollectionToPaths({ getCollection, }: {
    getCollection: ReturnType<typeof createGetCollection>;
}): (collection: string) => Promise<{
    params: {
        slug: any;
    };
    props: {
        id: any;
        slug: any;
        body: any;
        collection: any;
        data: {
            [x: string]: any;
        };
    };
}[]>;
export declare function createRenderEntry({ collectionToRenderEntryMap, }: {
    collectionToRenderEntryMap: CollectionToEntryMap;
}): (this: any, entry: {
    collection: string;
    id: string;
}) => Promise<{
    Content: any;
    headings: any;
    injectedFrontmatter: any;
}>;
export {};
